Bug 1388848 - Deploy monitoring and logging services in first step
Summary: Deploy monitoring and logging services in first step
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 10.0 (Newton)
Assignee: RHOS Maint
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-26 10:00 UTC by Martin Magr
Modified: 2016-12-14 16:25 UTC (History)
5 users (show)

Fixed In Version: puppet-tripleo-5.3.0-7.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:25:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 390802 None None None 2016-10-26 10:00:03 UTC

Description Martin Magr 2016-10-26 10:00:03 UTC
Description of problem:
Currently Sensu and Fluentd services are deployed in step 3. We should deploy them in step 1 if we want to be able to monitor deployment.

Comment 3 Leonid Natapov 2016-11-17 11:21:10 UTC
tested with puppet-tripleo-5.3.0-9.el7ost
-----------------------------------------------
stack@puma42 ~]$ heat deployment-output-show  d8181f0e-7d5f-453e-ac1c-840f843d9bb6  deploy_stdout | grep fluentd
WARNING (shell) "heat deployment-output-show" is deprecated, please use "openstack software deployment output show" instead
Notice: /Stage[main]/Tripleo::Profile::Base::Logging::Fluentd/File[/etc/rsyslog.d/fluentd.conf]/ensure: defined content as '{md5}a704f7b9eada6125cd7f2705d0392ae5'
Notice: /Stage[main]/Tripleo::Profile::Base::Logging::Fluentd/User[fluentd]/groups: groups changed '' to 'ceilometer,cinder,glance,gnocchi,haclient,heat,keystone,mongodb,neutron,nova,root'
Notice: /Stage[main]/Tripleo::Profile::Base::Logging::Fluentd/File[/etc/fluentd/ca_cert.pem]/ensure: defined content as '{md5}e8e6f5f2c506679d227b535086137958'
Notice: /Stage[main]/Tripleo::Profile::Base::Logging::Fluentd/File[/var/cache/fluentd]/ensure: created
Notice: /Stage[main]/Fluentd::Install/File[/etc/fluentd/config.d]/ensure: created
Notice: /Stage[main]/Fluentd::Install/File[/etc/fluentd/fluent.conf]/content: content changed '{md5}eea2e217f8835233a731c2bfb459a2ca' to '{md5}e34127bb4a1838c8f3e15aed92ec54f8'
Notice: /Stage[main]/Fluentd::Install/File[/etc/fluentd/fluent.conf]/mode: mode changed '0644' to '0640'
Notice: /File[/etc/fluentd/fluent.conf]/seluser: seluser changed 'unconfined_u' to 'system_u'
Notice: /Stage[main]/Tripleo::Profile::Base::Logging::Fluentd/Fluentd::Config[300-openstack-matches.conf]/File[/etc/fluentd/config.d/300-openstack-matches.conf]/ensure: created
Notice: /Stage[main]/Tripleo::Profile::Base::Logging::Fluentd/Fluentd::Config[200-openstack-filters.conf]/File[/etc/fluentd/config.d/200-openstack-filters.conf]/ensure: created
Notice: /Stage[main]/Tripleo::Profile::Base::Logging::Fluentd/Fluentd::Config[100-openstack-sources.conf]/File[/etc/fluentd/config.d/100-openstack-sources.conf]/ensure: created
Notice: /Stage[main]/Tripleo::Profile::Base::Logging::Fluentd/Fluentd::Config[110-system-sources.conf]/File[/etc/fluentd/config.d/110-system-sources.conf]/ensure: created
Notice: /Stage[main]/Fluentd::Service/Service[fluentd]/ensure: ensure changed 'stopped' to 'running'
[stack@puma42 ~]$ heat deployment-output-show  d8181f0e-7d5f-453e-ac1c-840f843d9bb6  deploy_stdout | grep sensu
WARNING (shell) "heat deployment-output-show" is deprecated, please use "openstack software deployment output show" instead
Notice: /Stage[main]/Sensu::Package/File[/etc/sensu/extensions]/ensure: created
Notice: /Stage[main]/Sensu::Package/File[/etc/default/sensu]/ensure: defined content as '{md5}19a6ffaf092726d5a6800aa2f6ae6f3a'
Notice: /Stage[main]/Sensu::Package/File[/etc/sensu/mutators]/ensure: created
Notice: /Stage[main]/Sensu::Package/File[/etc/sensu/plugins]/ensure: created
Notice: /Stage[main]/Sensu::Package/Package[rubygem-sensu-plugin]/ensure: created
Notice: /Stage[main]/Sensu::Package/File[/etc/sensu/handlers]/ensure: created
Notice: /Stage[main]/Sensu::Package/File[/etc/sensu/extensions/handlers]/ensure: created
Notice: /Stage[main]/Sensu::Package/File[/etc/sensu/conf.d]/mode: mode changed '0770' to '0555'
Notice: /File[/etc/sensu/conf.d]/seluser: seluser changed 'unconfined_u' to 'system_u'
Notice: /Stage[main]/Sensu::Package/File[/etc/sensu/conf.d/README.md]/mode: mode changed '0770' to '0555'
Notice: /File[/etc/sensu/conf.d/README.md]/seluser: seluser changed 'unconfined_u' to 'system_u'
Notice: /Stage[main]/Sensu::Package/File[/etc/sensu/conf.d/extensions]/ensure: created
Notice: /Stage[main]/Sensu::Package/File[/etc/sensu/conf.d/checks]/ensure: created
Notice: /Stage[main]/Sensu::Package/File[/etc/sensu/conf.d/filters]/ensure: created
Notice: /Stage[main]/Sensu::Package/File[/etc/sensu/conf.d/handlers]/ensure: created
Notice: /Stage[main]/Sensu::Package/File[/etc/sensu/conf.d/mutators]/ensure: created
Notice: /Stage[main]/Sensu::Rabbitmq::Config/File[/etc/sensu/conf.d/rabbitmq.json]/ensure: created
Notice: /Stage[main]/Sensu::Api::Config/File[/etc/sensu/conf.d/api.json]/owner: owner changed 'root' to 'sensu'
Notice: /Stage[main]/Sensu::Api::Config/File[/etc/sensu/conf.d/api.json]/group: group changed 'root' to 'sensu'
Notice: /Stage[main]/Sensu::Api::Config/File[/etc/sensu/conf.d/api.json]/mode: mode changed '0644' to '0440'
Notice: /Stage[main]/Sensu::Redis::Config/File[/etc/sensu/conf.d/redis.json]/ensure: created
Notice: /Stage[main]/Sensu::Client::Config/File[/etc/sensu/conf.d/client.json]/owner: owner changed 'root' to 'sensu'
Notice: /Stage[main]/Sensu::Client::Config/File[/etc/sensu/conf.d/client.json]/group: group changed 'root' to 'sensu'
Notice: /Stage[main]/Sensu::Client::Config/File[/etc/sensu/conf.d/client.json]/mode: mode changed '0644' to '0440'
Notice: /Stage[main]/Sensu::Client::Service/Service[sensu-client]/ensure: ensure changed 'stopped' to 'running'
Notice: /Stage[main]/Sensu::Api::Service/Service[sensu-api]: Triggered 'refresh' from 3 events
Notice: /Stage[main]/Sensu::Server::Service/Service[sensu-server]: Triggered 'refresh' from 4 events

Comment 5 errata-xmlrpc 2016-12-14 16:25:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.